@import url("https://fonts.googleapis.com/css2?family=DM+Sans:ital,wght@0,400;0,500;0,700;1,400;1,500;1,700&display=swap");
* {
  margin: 0;
  padding: 0;
  box-sizing: border-box;
  text-decoration: none;
}

body {
  background-color: #171717;
  color: #f9f9f9;
  font-family: "DM Sans", sans-serif;
  scroll-behavior: smooth;
}

        /* Style for the link */
        .ndtp-link {
            color: purple; /* Initial color */
            text-decoration: none; /* Remove underline */
        }

        /* Hover effect */
        .ndtp-link:hover {
            color: green; /* Change color on hover */
            text-decoration: underline; /* Add underline on hover */
        }


img {
  width: 100%;
  display: block;
}

ul {
  list-style: none;
}

a {
  color: #f9f9f9;
}

.container {
  max-width: 1140px;
  width: 80%;
  margin: auto;
}

::-webkit-scrollbar {
  width: 8px;
  height: 20px;
}

::-webkit-scrollbar-track {
  background: #212121;
  box-shadow: inset 0 0 5px #333333;
  border: 5px;
}

::-webkit-scrollbar-thumb {
  background-color: #c73897;
  border-radius: 5px;
}

header {
  position: fixed;
  top: 0;
  width: 100%;
  z-index: 100;
}
header .container {
  display: flex;
  flex-direction: row;
  justify-content: space-between;
  padding: 15px 0;
}
header img {
  width: 160px;
}
header nav {
  display: flex;
  flex-direction: row;
  justify-content: center;
  align-items: center;
}
header nav ul {
  display: flex;
  flex-direction: row;
  justify-content: end;
  align-items: center;
  gap: 20px;
}
header nav ul a {
  color: #f9f9f9;
  transition: 0.25s ease-in;
  font-weight: bold;
}
header nav ul a:hover {
  color: #c73897;
  font-weight: bold;
}
header nav i {
  text-align: end;
  display: none !important;
  font-size: 48px;
}

header.scroll {
  background-color: #212121;
  box-shadow: 0 2px 5px rgba(0, 0, 0, 0.3098039216);
}

main {
  margin-top: 80px;
}

section.intro {
  padding: 80px 0;
}
section.intro .container {
  display: flex;
  flex-direction: row;
  justify-content: space-between;
  align-items: center;
}
section.intro .container .group1 {
  display: flex;
  flex-direction: column;
  justify-content: center;
  align-items: start;
  gap: 20px;
  max-width: 350px;
}
section.intro .container .group1 h1 {
  font-size: 36px;
}
section.intro .container .group1 .type-animation {
  display: flex;
  position: relative;
}


section.intro .container .group1 p {
  color: #828282;
}

section.intro .container .group1 p:hover {
  color: white;
}

section.intro .container .group1 .typed-strings p {
display: flex;
 position: relative;
  
}

section.intro .container .group1 .type-animation p {
  display: flex;
  position: relative;
}

/*section.intro .container .group1 .typed-strings p:hover {*/
/*    display: flex;*/
/*  color:white;*/
/*}*/

section.intro .container .group1 button {
  cursor: pointer;
}



section.intro .container .group1 .intro-btns {
  display: flex;
  flex-direction: row;
  justify-content: start;
  align-items: center;
  gap: 10px;
}

/* section.intro .container .group1 .intro-btns button:hover {
  background-color: creamywhite;
} */

section.intro .container .group1 .cv-btn {
  border: none;
  background-color: #c73897;
  padding: 15px 30px;
  border-radius: 5px;
  transition: background-color 0.4s ease-in;
}

section.intro .container .group1 .cv-btn:hover {
  border: none;
  background-color: #c7c7c7;
}

section.intro .container .group1 .contact-btn {
  background-color: #171717;
  border: 1px solid #333333;
  border-radius: 5px;
  padding: 15px 30px;
  color: #f9f9f9;
  transition: background-color 0.5s ease-in;
}

section.intro .container .group1 .contact-btn:hover {
  background-color: #c7c7c7;
  border: 1px solid #333333;
  color: #171717;
  border-radius: 5px;
  padding: 15px 30px;


}


section.intro img {
  width: 300px;
}

section.about {
  padding: 80px 0;
  text-align: center;
}
section.about p {
  width: 80%;
  margin: 15px auto 0;
  color: #828282;
}

section.about p:hover {
  width: 80%;
  margin: 15px auto 0;
  color: white;
}

section.social {
  padding: 80px 0;
}
section.social .container {
  display: flex;
  flex-direction: row;
  justify-content: space-around;
  align-items: center;
  gap: 20px;
  flex-wrap: wrap;
}
section.social .container .social-col {
  min-width: 150px;
  display: flex;
  flex-direction: column;
  justify-content: center;
  align-items: center;
  gap: 10px;
}
section.social .container .social-col:hover .icon-img {
  box-shadow: 0 0 0 2px #c73897;
  transform: scale(1.1);
}
section.social .container div.icon-img {
  background-color: #212121;
  width: 60px;
  height: 60px;
  text-align: center;
  padding: 5px;
  border-radius: 50%;
  color: #c73897;
  transition: 0.35s ease-in;
  display: flex;
  flex-direction: row;
  justify-content: center;
  align-items: center;
}
section.social i {
  font-size: 32px;
}

section.projects {
  padding: 80px 0;
}
section.projects h2 {
  text-align: center;
  margin-bottom: 20px;
}
section.projects .cards-container {
  display: flex;
  flex-direction: row;
  justify-content: center;
  align-items: center;
  flex-wrap: wrap;
  gap: 40px;
}
section.projects .cards-container .proj-card {
  width: 300px;
  padding: 20px;
  background-color: #212121;
  border: 1px solid #333333;
  display: flex;
  flex-direction: column;
  justify-content: center;
  align-items: start;
  border-radius: 4px;
  gap: 10px;
  align-self: stretch;
  transition: all 0.35s ease-in;
  
}
section.projects .cards-container .proj-card div.card-img {
  display: flex;
  justify-content: center;
}
section.projects .cards-container .proj-card img {
  width: 80%;
  /* height: 67%;
  object-fit: cover; */
  border-radius: 12px;
}

section.projects .cards-container .proj-card .card-img:hover {
  cursor: pointer;
}


section.projects .cards-container .proj-card h3 {
  text-align: center;
  transition: all 0.35s ease-in;

}

section.projects .cards-container .proj-card p {
  color: #828282;
  transition: all 0.35s ease-in;

}

section.projects .cards-container .proj-card p:hover {
  color: white;
}


/* section.projects .cards-container .proj-card h3:hover {
  color: white;
} */
section.projects .cards-container .proj-card:hover {
  /* box-shadow: inset 0px 0px 1px 2px #c73897; */
  box-shadow: 0px 2px 16px rgba(110, 66, 229, 0.75);


}
section.projects .cards-container .proj-card .card--links {
  width: 100%;
  display: flex;
  flex-direction: row;
  justify-content: space-between;
  align-items: center;
  text-decoration: underline;
  text-underline-offset: 2px;
}
section.projects .cards-container .proj-card .card--links a {
  transition: 0.2s ease-in;
}
section.projects .cards-container .proj-card .card--links a:hover {
  color: #adb5bd;
}
section.projects .cards-container .rckt {
  margin: 0 25%;
  transition: all 0.35s ease-in;
}
section.projects .cards-container .rckt:hover {
  box-shadow: 0px 2px 16px rgba(110, 66, 229, 0.75);
}

.download-button {
  display: block;
  margin: 0 auto;
  background-color: #c73897;
  color: white;
  padding: 10px 20px;
  border: none;
  border-radius: 5px;
  transition: all 0.35s ease-in;
  cursor: pointer;
}

.download-button:hover {
  background-color: rgba(110, 66, 229, 0.75);
}
@media screen and (max-width: 720px) {
  section.projects .cards-container .rckt {
    margin: 0;
  }
}

section.services {
  padding: 80px 0;
}
section.services h2 {
  text-align: center;
  margin-bottom: 20px;
}
section.services .cards-container {
  display: flex;
  flex-direction: row;
  justify-content: center;
  align-items: center;
  flex-wrap: wrap;
  gap: 30px;
}
section.services .cards-container .ser-card {
  width: 350px;
  height: 350;
  height: 350;
  padding: 40px 30px;
  background-color: #212121;
  border: 1px solid #333333;
  border-bottom: 5px solid #c73897;
  border-radius: 4px;
  color: #828282;
  display: flex;
  flex-direction: column;
  justify-content: center;
  align-items: center;
  gap: 20px;
  transition: all 0.35s ease-in;
}

section.services .cards-container .ser-card i {
  font-size: 50px;
  color: #c73897;
}

section.services .cards-container .ser-card h1 {
  text-align: center;
}

section.services .cards-container .ser-card h1:hover {
  text-align: center;
  color: white;
}

section.services .cards-container .ser-card a {
  text-align: center;
  color: #828282;
}

section.services .cards-container .ser-card a:hover {
  text-align: center;
  color: white;
}

section.services .cards-container .ser-card:hover {
    box-shadow: inset 0px 0px 1px 2px #c73897;
    color: white;
}

section.skills {
  padding: 80px 0;
}
section.skills h2 {
  text-align: center;
  margin-bottom: 20px;
}
section.skills .cards-container {
  display: flex;
  flex-direction: row;
  justify-content: space-between;
  align-items: center;
  flex-wrap: wrap;
  gap: 15px;
}

.rounded-corners .skill-card {
  border-radius: 10px;
}


section.skills .skill-card {
  background-color: #212121;
  border: 1px solid #333333;
  padding: 20px;
  transition: background-color 0.5s ease-in;



}
section.skills .skill-card i {
  font-size: 80px;
  color: #c73897;
}

section.skills .skill-card:hover {
  background-color: #cdcdcd;
  border: 1px solid #333333;
  padding: 20px;
}

footer {
  background-color: #212121;
  padding: 10px 0;
}
footer p {
  text-align: center;
}
footer p span {
  color: #c73897;
}

@media screen and (max-width: 1023.9px) {
  section.skills .cards-container {
    justify-content: center;
  }
}
@media screen and (max-width: 800px) {
  section.intro .container {
    flex-direction: column;
    gap: 20px;
  }
  section.projects .container {
    width: 90%;
  }
  section.projects .cards-container {
    justify-content: center;
  }
}
@media screen and (max-width: 767.9px) {
  header.active {
    background-color: #212121;
  }
  header nav ul {
    flex-direction: column;
    justify-content: space-around;
    width: 100%;
    background-color: #212121;
    position: absolute;
    top: 78px;
    right: 0;
    visibility: hidden;
    overflow-y: hidden;
    height: 0;
    transition: 0.5s;
  }
  header nav ul.active {
    padding: 10px 0;
    visibility: visible;
    overflow-y: auto;
    height: 30vh;
  }
  header nav i {
    display: block !important;
  }
  section.about p {
    width: 100%;
  }
  section.about p:hover {
    color: white;
  }
}
@media screen and (max-width: 424.9px) {
  .container {
    width: 90%;
  }
  section.intro .group1 {
    text-align: center;
    align-items: center !important;
  }

  .img-responsive {
    display: block;
    max-width: 100%;
    height: auto;
    margin: auto;
    border-radius: 50%;
}
}